%define name alsa-plugins
%define version 1.1.5
%define fname %name-%{version}
%define libname %mklibname %name

Summary: Advanced Linux Sound Architecture (ALSA) plugins
Name:    %name
Version: %version
Release: %mkrel 1
Source0:  ftp://ftp.alsa-project.org/pub/plugins/%fname.tar.xz
Source1: jack.conf
Source2: pulseaudio.conf
Source3: pcm-oss.conf
Source4: samplerate.conf
Source5: upmix.conf
Source6: vdownmix.conf
Source7: pulse-default.conf
License: GPLv2+ and LGPLv2+
Group: System/Libraries
Url:   http://www.alsa-project.org
#----------------------------------------
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: %{_lib}jack-devel
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: %{_lib}samplerate-devel
BuildRequires: %{_lib}speex1-devel
#----------------------------------------
BuildRoot: %_tmppath/%name-buildroot


%description
Advanced Linux Sound Architecture (ALSA) utilities. Modularized architecture
with support for a large range of ISA and PCI cards. Fully compatible with
OSS/Lite (kernel sound drivers), but contains many enhanced features.

This is the plugins package, which allows you to manipulate ALSA settings.

%package -n %{libname}
Summary: Advanced Linux Sound Architecture (ALSA) plugins
Group: System/Libraries
Provides: %{name} = %{version}-%{release}
Obsoletes: %{name} < %{version}-%{release}


%description -n %{libname}
Advanced Linux Sound Architecture (ALSA) utilities. Modularized architecture
with support for a large range of ISA and PCI cards. Fully compatible with
OSS/Lite (kernel sound drivers), but contains many enhanced features.

This is the plugins package, which allows you to manipulate ALSA settings.


%package doc
Summary: Advanced Linux Sound Architecture (ALSA) plugins
Group: Documentation
BuildArch: noarch

%description doc
Documentation for %{name}


%package        pulse-config
Summary:        Alsa to PulseAudio backend configuration
Group:          System/Libraries
License:        LGPLv2+
Conflicts:	%{libname}-pulseaudio  <= 1.0.16-6
Requires(post): libalsa-data
Requires(post): update-alternatives

%description pulse-config
This package contains configuration files for the pulse ALSA plugin.

%post pulse-config
if [ -f %{_sysconfdir}/alsa/pulse-default.conf ]; then
  if grep "^#DRAKSOUND- " %{_sysconfdir}/alsa/pulse-default.conf 2>/dev/null >/dev/null; then
    update-alternatives --set soundprofile /etc/sound/profiles/alsa
  fi
fi

%package -n %{libname}-pulseaudio
Summary:        Alsa to PulseAudio backend
Group:          System/Libraries
License:        LGPLv2+
Provides:	%{name}-pulseaudio = %{version}-%{release}
Requires:	 %name-pulse-config

%description -n %{libname}-pulseaudio
This plugin allows any program that uses the ALSA API to access a PulseAudio
sound daemon. In other words, native ALSA applications can play and record
sound across a network. There are two plugins in the suite, one for PCM and
one for mixer control.

%package -n %{libname}-jack
Summary:        Jack PCM output plugin for ALSA
Group:          System/Libraries
License:        LGPLv2+
Provides:	%{name}-jack = %{version}-%{release}


%description -n %{libname}-jack
This plugin converts the ALSA API over JACK (Jack Audio Connection
Kit, http://jackit.sf.net) API.  ALSA native applications can work
transparently together with jackd for both playback and capture.

    ALSA apps (playback) -> ALSA-lib -> JACK plugin -> JACK daemon
    ALSA apps (capture) <- ALSA-lib <- JACK plugin <- JACK daemon

This plugin provides the PCM type "jack"

%prep
%setup -q -n %fname
%apply_patches

%build
autoreconf -fi
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std mkdir_p="mkdir -p"

install -d %{buildroot}%{_sysconfdir}/alsa

install -d %{buildroot}%{_datadir}/alsa/pcm
install -m 644 %SOURCE1 %SOURCE2 %SOURCE4 %SOURCE5 %SOURCE6 %{buildroot}%{_datadir}/alsa/pcm

install -d  %{buildroot}%{_sysconfdir}/sound/profiles/pulse
install -m 644 %SOURCE7 %{buildroot}%{_sysconfdir}/sound/profiles/pulse/alsa-default.conf

find %{buildroot} -name '*.la' | xargs rm

%files doc
%defattr(-,root,root)
%doc COPYING* doc/R* doc/*.txt

%files -n %{libname}
%defattr(-,root,root)
%exclude %{_libdir}/alsa-lib/*_pulse.so
%exclude %{_libdir}/alsa-lib/*_jack.so
%{_datadir}/alsa/pcm/samplerate.conf
%{_datadir}/alsa/pcm/upmix.conf
%{_datadir}/alsa/pcm/vdownmix.conf
%_libdir/alsa-lib/*


%files pulse-config
%defattr(-,root,root)
%{_sysconfdir}/sound/profiles/pulse/alsa-default.conf
%{_datadir}/alsa/pcm/pulseaudio.conf
%{_datadir}/alsa/alsa.conf.d

%files -n %{libname}-pulseaudio
%defattr(-,root,root,-)
%doc doc/README-pulse
%{_libdir}/alsa-lib/libasound_module_pcm_pulse.so
%{_libdir}/alsa-lib/libasound_module_ctl_pulse.so
%{_libdir}/alsa-lib/libasound_module_conf_pulse.so

%files -n %{libname}-jack
%defattr(-,root,root,-)
%doc doc/README-jack
%{_datadir}/alsa/pcm/jack.conf
%{_libdir}/alsa-lib/libasound_module_pcm_jack.so

%clean
rm -rf %{buildroot}

%changelog
* Sun Nov 26 2017 bb2 <bb2> - 1.1.5-1pclos2017
- new version

* Tue May 16 2017 bb2 <bb2> - 1.1.4-1pclos2017
- new version

* Thu Mar 09 2017 bb2 <bb2> - 1.1.1-1pclos2017
- new version for new ffmpeg

* Mon Nov 16 2014 bb <bb> - 1.0.28-2pclos2014
- rebuild ffmpeg 2.4.3
